Package org.eclipse.lemminx.extensions.entities.participants

## Class EntitiesHoverParticipant

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.hover.HoverParticipantAdapter
  - - org.eclipse.lemminx.extensions.entities.participants.EntitiesHoverParticipant

All Implemented Interfaces:
  `IHoverParticipant`

    public class EntitiesHoverParticipant
    extends HoverParticipantAdapter

Entities hover used in a text node (ex : &).

### Constructor Summary

Constructors
`EntitiesHoverParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.lsp4j.Hover` `onText​(IHoverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` onText method

### Methods inherited from class org.eclipse.lemminx.services.extensions.hover.HoverParticipantAdapter

`onAttributeName, onAttributeValue, onTag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EntitiesHoverParticipant

    public EntitiesHoverParticipant()

### Method Detail

#### onText

    public org.eclipse.lsp4j.Hover onText​(IHoverRequest request,
                                          org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                   throws Exception

Description copied from interface: `IHoverParticipant`
onText method

Specified by:
  `onText` in interface `IHoverParticipant`
Overrides:
  `onText` in class `HoverParticipantAdapter`
Returns:
  the Value of MarkupContent `String`
Throws:
  `Exception`